gnutls_psk_netconf_derive_key(3)

NAME
gnutls_psk_netconf_derive_key - API function

SYNOPSIS
#include <gnutls/gnutls.h>

int gnutls_psk_netconf_derive_key(const char * password, const char * psk_identity, const char * psk_identity_hint, gnutls_datum_t * output_key);

ARGUMENTS

const char * password
    zero terminated string containing password.

const char * psk_identity
    zero terminated string with PSK identity.

const char * psk_identity_hint
    zero terminated string with PSK identity hint.

gnutls_datum_t * output_key
    output variable, contains newly allocated *data pointer.

DESCRIPTION
This function will derive a PSK key from a password, for use with the Netconf protocol.

RETURNS
GNUTLS_E_SUCCESS on success, or an error code.

SINCE
2.4.0

DEPRECATED
The need for this interface was dropped from the standard on publication as a RFC. The function works now but will return a hard failure in a future release.

REPORTING BUGS
Report bugs to <bug-gnutls@gnu.org>. GnuTLS home page: http://www.gnu.org/software/gnutls/ General help using GNU software: http://www.gnu.org/gethelp/

COPYRIGHT
Copyright © 2008 Free Software Foundation.
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the info and gnutls programs are properly installed at your site, the command

    info gnutls

should give you access to the complete manual.